[package]
name = "web_iouring"
version = "0.0.0-develop"
authors = ["iouring"]
license = "Apache-2.0"
edition = "2024"
rust-version = "1.91"
publish = false

[dependencies]
js-sys = "0.3"
yew = { git = "https://github.com/yewstack/yew.git", rev = "21f373b", features = [
  "csr",
] }
yew-router = { git = "https://github.com/yewstack/yew.git", rev = "21f373b" }
wasm-bindgen = { version = "0.2" }

log = { version = "0.4" }
wasm-logger = { version = "0.2" }

serde = { version = "1.0" }

[dependencies.web-sys]
version = "0.3"
features = [
  'HtmlCanvasElement',
  'WebGlBuffer',
  'WebGlProgram',
  'WebGlRenderingContext',
  'WebGl2RenderingContext',
  'WebGlShader',
  'WebGlUniformLocation',
]
